Page MenuHomePhabricator

libcxxabi: add builtins to dynamic library link
ClosedPublic

Authored by pattop on Feb 11 2021, 8:10 PM.

Details

Reviewers
phosek
Group Reviewers
Restricted Project
Commits
rG26a0aeba6171: [libc++abi] Add builtins to dynamic library link
Summary

Otherwise libc++abi.so fails to link on arm with undefined references to
some __aeabi_ builtins.

Diff Detail

Event Timeline

pattop created this revision.Feb 11 2021, 8:10 PM
pattop requested review of this revision.Feb 11 2021, 8:10 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 11 2021, 8:10 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
ldionne accepted this revision as: Restricted Project.Feb 15 2021, 11:58 AM
ldionne added a subscriber: ldionne.

This seems fine to me, but I'd like someone with more compiler-rt knowledge to chime in and confirm that this looks alright.

Anyone?

phosek accepted this revision.Feb 16 2021, 10:28 PM
phosek added a subscriber: phosek.

LGTM

This revision is now accepted and ready to land.Feb 16 2021, 10:28 PM

Thanks,

I don't have commit access so someone else will need to commit.

Please provide Author Name <email@domain> and I'll do it. Thanks.

Oh, actually, that was in the Phab email I received. Got it.

Patrick Oppenlander <patrick.oppenlander@gmail.com>

Thanks!

This revision was automatically updated to reflect the committed changes.